com.holonplatform.core.datastore

## Interface DataTarget.DataTargetResolver<T extends DataTarget>

- Type Parameters:
    `T` - DataTarget type to be resolved
  All Superinterfaces:
    Expression.ExpressionResolverFunction<T,DataTarget>, ExpressionResolver<T,DataTarget>, Serializable
  Enclosing interface:
    DataTarget<T>

      public static interface DataTarget.DataTargetResolver<T extends DataTarget>
      extends ExpressionResolver<T,DataTarget>

  Convenience interface to create an `ExpressionResolver` to resolve a custom `DataTarget` class into a standard `DataTarget`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.ExpressionResolver

      `ExpressionResolver.ExpressionResolverBuilder<C extends ExpressionResolver.ExpressionResolverBuilder<C>>, ExpressionResolver.ExpressionResolverHandler, ExpressionResolver.ExpressionResolverProvider, ExpressionResolver.ExpressionResolverSupport, ExpressionResolver.ResolutionContext`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.ExpressionResolver

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends DataTarget> ExpressionResolver<T,DataTarget>` | `create(Class<? extends T> type, Expression.ExpressionResolverFunction<T,DataTarget> function)` Create an `ExpressionResolver` to resolve a custom `DataTarget` class into a standard `DataTarget` using the given resolver function.
    `default Class<? extends DataTarget>` | `getResolvedType()` Get the resolved expression type

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver

      `create, getExpressionType`

    - ### Methods inherited from interface com.holonplatform.core.Expression.ExpressionResolverFunction

      `resolve`

- - ### Method Detail

    - #### getResolvedType

          default Class<? extends DataTarget> getResolvedType()

      Description copied from interface: `ExpressionResolver`
      Get the resolved expression type
      Specified by:
        `getResolvedType` in interface `ExpressionResolver<T extends DataTarget,DataTarget>`
      Returns:
        Resolved expression type (not null)

    - #### create

          static <T extends DataTarget> ExpressionResolver<T,DataTarget> create(Class<? extends T> type,
                                                                                Expression.ExpressionResolverFunction<T,DataTarget> function)

      Create an `ExpressionResolver` to resolve a custom `DataTarget` class into a standard `DataTarget` using the given resolver function.
      Type Parameters:
        `T` - DataTarget type to resolve
      Parameters:
        `type` - DataTarget type to be resolved
        `function` - Resolver function
      Returns:
        A new `ExpressionResolver`

Copyright © 2019 The Holon Platform. All rights reserved.